<template>
  <v-ons-page>
    <v-ons-toolbar>
      <div class="left">
        <v-ons-icon icon="ion-ios-arrow-back" size="lg" @click="redirect('/', {tab: 'setting'})"></v-ons-icon>
      </div>
      <div class="center">Export Account</div>
      <div class="right">
        <v-ons-toolbar-button icon="ion-navicon"></v-ons-toolbar-button>
      </div>
    </v-ons-toolbar>

    <div class="import-account-container">
      <p>
        Do not share your
        <strong>Secret Key</strong> to anyone
      </p>
      <p id="secret-key">
        {{ secretKey }}
      </p>
      <qriously :value="secretKey" :size="200" class="qr-code" />
      <v-ons-button class="create-user-btn default-btn" @click="onCopy">Copy</v-ons-button>
    </div>
  </v-ons-page>
</template>

<script>
import Vue from 'vue'
import 'onsenui/css/onsenui.css'
import 'onsenui/css/onsen-css-components.css'
import VueOnsen from 'vue-onsenui/esm'
import OnsenComponents from '~/components/Onsen'
import ChatText from '~/components/ChatText'
import ChatInput from '~/components/ChatInput'
import VueQriously from 'vue-qriously'
import { mapGetters, mapActions } from "vuex";
import utils from '../../assets/utils'

Vue.use(VueOnsen)
Vue.use(VueQriously)
Object.values(OnsenComponents).forEach((c) => Vue.component(c.name, c))

export default {
  data: function() {
    return {
      
    }
  },
  computed: {
     ...mapGetters({
      getWallet: "wallet/getWallet",
      isUIReady: "chat/isUIReady"
    }),
    secretKey() {
      return this.getWallet.entry.keys.secretKey
    }
  },
  methods: {
    redirect(url, option) {
      this.$router.push(url)
    },
    onCopy() {
      utils.copyToClipboard(this.secretKey)
      this.$ons.notification.alert('Copied to clipboard!')
    }
  }
}
</script>

<style>
.import-account-container {
  text-align: center;
  margin-top: 30px;
}
.secret-key-input {
  margin-right: 5px;
}
.qr-code-btn {
  height: 40px;
  padding: 5px;
}
.qr-code {
  margin-bottom: 20px;
}
.secret-input-container {
  display: flex;
  justify-content: center;
  align-items: center;
}
#secret-key {
  font-size: 16px;
  color: #333333;
  letter-spacing: -0.18px;
  text-align: center;
  line-height: 27px;
  margin: 20px;
  word-break: break-word;
}
</style>
